Subject: Re: example needed pls: `cygpath -c <HANDLE>'
From: Soren A <[email-masked]>
To: [email-masked]
Date: Tue, 1 Jul 2003 21:26:03 +0000 (UTC)

Brian Dessent <[email-masked]> wrote around 01 Jul 2003
news:[email-masked]: 

> Brian Dessent wrote:
> 
>> Save this as a text file ending in .txt and then open it:
> 
> I meant .REG not .TXT.. silly.
> 
> Brian

That's OK: you are reaching an initiated person here (although goog to 
correct the erratum for archival reasons).

I do have a puzzlement, sorry if it seems like I am not sufficiently 
trustful (but anything having to do with making changes to my Windows 
Registry sets off "max caution" alarms, as it of course should).

(Previously you wrote:)
> Replace your cygwin path as appropriate. Use "%1" instead of "%l" to
> get the short-filename version.  As written above, you'll get values
> such as "/cygdrive/c/Program Files/Microsoft Visual Studio" copied to
> the clipboard, the space might be problematic.  With "%1" you get
> something like "/cygdrive/c/PROGRA~1/MIAF9D~1". 

Where does this distinction between the letter "%l" (that's percent-symbol 
followed by alphabetic letter "L" in lowercase) and the string of tokens 
"%1" (that's percent-1, numeral "one" symbol), come from? Is this some 
in(f|t)ernal MS Windows Registry thing? ;-)
 
>> -----
>> REGEDIT4
>> 
>> [HKEY_CLASSES_ROOT\Directory\shell\CygPath]
>> @="&Copy Cygwin Path"
>> 
>> [HKEY_CLASSES_ROOT\Directory\shell\CygPath\Command]
>> @="c:\\cygwin\\bin\\bash -c \"echo -n `/bin/cygpath -u
>> '%l'`>/dev/clipboard\"" 
>> 
>> [HKEY_LOCAL_MACHINE\SOFTWARE\Classes\*\shell\CygPath]
>> @="&Copy Cygwin path"
>> 
>> [HKEY_LOCAL_MACHINE\SOFTWARE\Classes\*\shell\CygPath\command]
>> @="c:\\cygwin\\bin\\bash -c \"echo -n `/bin/cygpath -u
>> '%l'`>/dev/clipboard\"" -----

Much appreciated.
  Soren A.

-- 
"So, tell me, my little one-eyed one, on what poor, pitiful,
defenseless planet has my MONSTROSITY been unleashed?"
                       - Dr. Jumba, Disney's "Lilo & Stitch"
OpenPGP Key at http://savannah.gnu.org/people/viewgpg.php?user_id=6050

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/